Bug 118170 - Merge SVGLangSpace into SVGElement
Summary: Merge SVGLangSpace into SVGElement
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL: https://svgwg.org/svg2-draft/types.ht...
Keywords: BlinkMergeCandidate
Depends on:
Blocks: 118353
  Show dependency treegraph
 
Reported: 2013-06-27 23:29 PDT by Chris Dumez
Modified: 2013-07-03 04:35 PDT (History)
11 users (show)

See Also:


Attachments
Patch (43.89 KB, patch)
2013-06-28 00:12 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2013-06-27 23:29:23 PDT
As per the latest SVG specification, we should merge SVGLangSpace interface into SVGElement:
https://svgwg.org/svg2-draft/types.html#InterfaceSVGElement

This is one step towards getting rid of multiple inheritance in SVG (Which is no longer supported in Web IDL) and matching the SVG2 specification.

Corresponding Blink patch:
https://src.chromium.org/viewvc/blink?revision=153007&view=revision
Comment 1 Chris Dumez 2013-06-28 00:12:17 PDT
Created attachment 205674 [details]
Patch
Comment 2 Kentaro Hara 2013-06-28 00:28:34 PDT
Comment on attachment 205674 [details]
Patch

ok
Comment 3 WebKit Commit Bot 2013-06-28 01:35:19 PDT
Comment on attachment 205674 [details]
Patch

Clearing flags on attachment: 205674

Committed r152156: <http://trac.webkit.org/changeset/152156>
Comment 4 WebKit Commit Bot 2013-06-28 01:35:21 PDT
All reviewed patches have been landed.  Closing bug.